# Profit Analysis Summary

`GET` `/v1/portfolio/profit-analysis-summary`

Get a P&L summary for the account including total asset, total P&L, and yield metrics.

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `start_date` | string | No | Analysis start date in `YYYY-MM-DD` format |
| `end_date` | string | No | Analysis end date in `YYYY-MM-DD` format |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/portfolio/profit-analysis-summary' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `updated_at` | string | No | Last update timestamp |
| `sum_profit` | string | No | Total profit/loss |
| `sum_profit_rate` | string | No | Total profit/loss rate |
| `profits` | object | No | Profit breakdown by category |
| `└ stock` | string | No | Basic stock information |
| `└ fund` | string | No | Fund flag/amount. |
| `└ mmf` | string | No | Maintenance-margin factor. |
| `└ other` | string | No | Other value/count. |
| `└ summary_info` | object[] | No | Summary information. |
| `└ ∟ profit_max` | string | No | Maximum profit amount. |
| `└ ∟ loss_max` | string | No | Maximum loss amount. |
| `└ ∟ profit_max_name` | string | No | Name of the max-profit security. |
| `└ ∟ loss_max_name` | string | No | Name of the max-loss security. |
| `└ ∟ asset_type` | string | No | Element type of this group (holdings / regional / asset class / industry) |
| `└ ipo_subscription` | integer | No | IPO subscription count. |
| `└ ipo_hit` | integer | No | IPO allotment (hit) count. |
| `└ cumulative_transaction_amount` | string | No | Cumulative transaction amount. |
| `└ crypto` | string | No | Crypto flag. |
| `└ trade_order_num` | string | No | Number of trade orders. |
| `└ trade_stock_num` | string | No | Number of traded stocks. |
| `is_traded` | boolean | No | Whether any trades exist |
| `currency` | string | No | Currency |
| `total_simple_earning_yield` | string | No | Total simple earning yield. |
| `total_time_earning_yield` | string | No | Total time-weighted earning yield. |
| `invest_amount` | string | No | Total invested amount |
| `initial_asset_value` | string | No | Initial asset value |
| `ending_asset_value` | string | No | Ending asset value |
| `current_total_asset` | string | No | Current total asset value |
| `start_time` | string | No | Period start timestamp |
| `end_time` | string | No | Period end timestamp |
| `trade_update_time` | string | No | Trade data update time. |
| `updated_date` | string | No | Last update date |
| `start_date` | string | No | Period start date |
| `end_date` | string | No | Period end date |
| `trade_update_date` | string | No | Trade data update date. |
| `trade_stock_num` | string | No | Number of traded stocks. |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "summary": {
      "currency": "USD",
      "sum_profit": "62905.97",
      "sum_profit_rate": "0.6128",
      "invest_amount": "102659.74",
      "current_total_asset": "165565.71",
      "initial_asset_value": "0.00",
      "ending_asset_value": "165565.71",
      "is_traded": true,
      "start_date": "2025-10-17",
      "start_time": "1760659200",
      "end_date": "2026-05-14",
      "end_time": "1778731947",
      "profits": {
        "stock": "66370.84",
        "crypto": "0",
        "fund": null,
        "ipo": null,
        "mmf": null,
        "other": null,
        "cumulative_transaction_amount": "1244920.28"
      }
    },
    "sublist": {
      "start": "2025-10-17",
      "start_date": "2025-10-17",
      "end": "2026-05-14",
      "end_date": "2026-05-14",
      "updated_at": "1778731947",
      "updated_date": "2026-05-14",
      "items": [
        {
          "symbol": "AAPL.US",
          "name": "Apple",
          "market": "US",
          "currency": "USD",
          "profit": "100.00",
          "profit_rate": "0.05",
          "holding_period": "180",
          "clearance_times": 0,
          "is_holding": true,
          "item_type": "Stock",
          "isin": "",
          "security_code": "AAPL",
          "underlying_profit": "100.00",
          "derivatives_profit": "0.00",
          "order_profit": null
        }
      ]
    }
  }
}
```
